package com.notabene.NotabeneSdk

import android.content.ActivityNotFoundException
import android.content.Context
import android.content.Intent
import android.net.Uri
import android.widget.Toast
import com.facebook.react.bridge.Promise
import com.facebook.react.bridge.ReactApplicationContext
import com.facebook.react.bridge.ReactContextBaseJavaModule
import com.facebook.react.bridge.ReactMethod

class NotabeneSdkModule(private val reactContext: ReactApplicationContext) :
  ReactContextBaseJavaModule(reactContext) {

  private var browserPromise: Promise? = null

  override fun getName(): String {
    return NAME
  }

  @ReactMethod
  fun open(url: String, deeplink: String, promise: Promise) {
    try {
      browserPromise = promise

      val intent = Intent(Intent.ACTION_VIEW, Uri.parse(url)).apply {
        addFlags(Intent.FLAG_ACTIVITY_NEW_TASK) // Required to start a new activity
      }
      reactContext.startActivity(intent)
    } catch (e: Exception) {
      promise.reject("E_BROWSER_ERROR", "Failed to open browser: ${e.message}")
    }
  }

  fun handleBrowserReturn(result: String) {
    browserPromise?.resolve(result)
    browserPromise = null
  }

  companion object {
    const val NAME = "NotabeneSdk"
  }
}
