"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
require("react-native-url-polyfill/auto");
var _javascriptSdk = _interopRequireDefault(require("@notabene/javascript-sdk"));
var _embeddedComponent = require("./embedded-component.js");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
class NotabeneRN extends _javascriptSdk.default {
  constructor(config) {
    super(config);
    this.resultDeepLink = config.resultDeepLink;
    this.componentDeepLink = config.componentDeepLink;
  }

  /**
   * Creates a new embedded component
   *
   * @param path - The path of the component
   * @param value - Transaction data
   * @param options - Optional transaction options
   * @param callbacks - Optional callback configuration
   * @returns A new EmbeddedComponent instance
   * @internal
   */
  createComponent(path, value, options, callbacks) {
    return new _embeddedComponent.EmbeddedComponentRN(this.componentUrl(path, value, options, callbacks), this.resultDeepLink, value);
  }

  /**
   * Generates a URL for a Notabene component
   *
   * @param path - The path of the component
   * @param value - Transaction data
   * @param configuration - Optional transaction configuration
   * @param callbacks - Optional callback configuration
   * @returns component URL
   * @internal
   */
  componentUrl(path, value, configuration, callbacks) {
    const url = super.componentUrl(path, value, configuration, callbacks);
    const sdkUrl = new URL(url);
    sdkUrl.searchParams.set('redirect_uri', this.resultDeepLink);
    return sdkUrl.toString();
  }
}
exports.default = NotabeneRN;
//# sourceMappingURL=index.js.map