import 'react-native-url-polyfill/auto';
import Notabene, { type CallbackOptions, type NotabeneConfig } from '@notabene/javascript-sdk';
import { EmbeddedComponentRN } from './embedded-component';
export interface NotabeneRNConfig extends NotabeneConfig {
    componentDeepLink?: string;
    resultDeepLink: string;
}
export default class NotabeneRN extends Notabene {
    componentDeepLink?: string;
    resultDeepLink: string;
    constructor(config: NotabeneRNConfig);
    /**
     * Creates a new embedded component
     *
     * @param path - The path of the component
     * @param value - Transaction data
     * @param options - Optional transaction options
     * @param callbacks - Optional callback configuration
     * @returns A new EmbeddedComponent instance
     * @internal
     */
    createComponent<V, O>(path: string, value: Partial<V>, options?: O, callbacks?: CallbackOptions): EmbeddedComponentRN<V, O>;
    /**
     * Generates a URL for a Notabene component
     *
     * @param path - The path of the component
     * @param value - Transaction data
     * @param configuration - Optional transaction configuration
     * @param callbacks - Optional callback configuration
     * @returns component URL
     * @internal
     */
    componentUrl<V, O>(path: string, value: V, configuration?: O, callbacks?: CallbackOptions): string;
}
//# sourceMappingURL=index.d.ts.map